#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 brick
version:              0.59
visibility:           public
id:                   brick-0.59-6LFKavoECOF5M12E9nphY2
key:                  brick-0.59-6LFKavoECOF5M12E9nphY2
license:              BSD-3-Clause
copyright:            (c) Jonathan Daugherty 2015-2020
maintainer:           Jonathan Daugherty <cygnus@foobox.com>
author:               Jonathan Daugherty <cygnus@foobox.com>
homepage:             https://github.com/jtdaugherty/brick/
synopsis:             A declarative terminal user interface library
description:
    Write terminal user interfaces (TUIs) painlessly with '\''brick'\''! You
    write an event handler and a drawing function and the library does the
    rest.


    > module Main where
    >
    > import Brick
    >
    > ui :: Widget ()
    > ui = str "Hello, world!"
    >
    > main :: IO ()
    > main = simpleMain ui


    To get started, see:

    * <https://github.com/jtdaugherty/brick/blob/master/README.md The README>

    * The <https://github.com/jtdaugherty/brick/blob/master/docs/guide.rst Brick user guide>

    * The demonstration programs in the '\''programs'\'' directory


    This package deprecates <http://hackage.haskell.org/package/vty-ui vty-ui>.

category:             Graphics
abi:                  7db119c3c4bee4fbe80547f1d65e7584
exposed:              True
exposed-modules:
    Brick Brick.AttrMap Brick.BChan Brick.BorderMap Brick.Focus
    Brick.Forms Brick.Main Brick.Markup Brick.Themes Brick.Types
    Brick.Util Brick.Widgets.Border Brick.Widgets.Border.Style
    Brick.Widgets.Center Brick.Widgets.Core Brick.Widgets.Dialog
    Brick.Widgets.Edit Brick.Widgets.FileBrowser Brick.Widgets.List
    Brick.Widgets.ProgressBar Data.IMap Data.Text.Markup

hidden-modules:
    Brick.Types.Common Brick.Types.TH Brick.Types.Internal
    Brick.Widgets.Internal

import-dirs:          /usr/lib/ghc-8.10.3/site-local/brick-0.59
library-dirs:         /usr/lib/ghc-8.10.3/site-local/brick-0.59
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/brick-0.59
hs-libraries:         HSbrick-0.59-6LFKavoECOF5M12E9nphY2
depends:
    base-4.14.1.0 bytestring-0.10.12.0
    config-ini-0.2.4.0-ECzARZw6U7OCVbvnKrH8br containers-0.6.2.1
    contravariant-1.5.3-7koBfVZf7s8G3BlROnwJJd
    data-clist-0.1.2.3-4iUUk3wEknvKN55F9CWWa0 deepseq-1.4.4.0
    directory-1.3.6.0 dlist-1.0-CIVcjanACu2JJSNSgg81oy
    exceptions-0.10.4 filepath-1.4.2.1
    microlens-0.4.12.0-LWmCgM3D0eIxbRgAEzd8k
    microlens-mtl-0.2.0.1-3tNQgwbNspG9ZtqGot68nU
    microlens-th-0.4.3.9-8lY9YzOSn74KKUTb0A8pMI stm-2.5.0.0
    template-haskell-2.16.0.0 text-1.2.4.1
    text-zipper-0.11-3emsrQaqp737vUWhembD7S transformers-0.5.6.2
    unix-2.7.2.2 vector-0.12.2.0-CTKdHZ2Betb5QHFFflD8i8
    vty-5.32-C1yNaoeZlUxDgR3S2QhPUE
    word-wrap-0.4.1-DNs1uwpK046DJH5AeEdvvC

haddock-interfaces:   /usr/share/doc/haskell-brick/html/brick.haddock
haddock-html:         /usr/share/doc/haskell-brick/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

